#
# spec file for package python3-python-ptrace
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name python-ptrace
Name:           python3-python-ptrace
Version:        0.9.1
Release:        1.2
Summary:        Python binding of ptrace
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            http://python-ptrace.readthedocs.io/
Source:         https://github.com/haypo/%{pkg_name}/archive/%{pkg_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
python-ptrace is a debugger using ptrace (Linux, BSD and Darwin system call to
trace processes) written in Python.

%prep
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}
sed -i 's/\x0D$//' doc/*.rst
chmod 0644 examples/*.py

%build
python3 setup.py build
python3 setup_cptrace.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
python3 setup_cptrace.py install -O1 --skip-build --root %{buildroot}

%check
python3 runtests.py

%files
%defattr(-,root,root,-)
%doc COPYING
%doc README.rst
%doc doc/* examples
%{_bindir}/gdb.py
%{_bindir}/strace.py
%{python3_sitelib}/ptrace/
%{python3_sitelib}/python_ptrace-*-py*.egg-info
%{python3_sitearch}/cptrace.cpython-*.so
%{python3_sitearch}/cptrace-*-py*.egg-info

%changelog
* Thu Oct 27 2016 mimi.vx@gmail.com
- initial packaging
